<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bootstrap Components</title>

    <!-- Website logo -->
    <link rel="website icon" type="svg" href="./images/Bootstrap_logo.svg">

    <!-- Bootstrap 4.6 linking -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
        integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>

<body>

    <!-- Navbar -->
    <nav class="navbar navbar-expand-md navbar-dark bg-primary">
        <a class="navbar-brand" href="#">Ada Lovelace</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon ml-auto"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">About me <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Projects</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Tools</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- End of Navbar -->

    <!-- Main Content -->
    <div class="container-fluid text-center">
        <!-- Sidebar -->
        <div class="row">
            <div class="accordion col-md-2 d-md-block d-none p-0" id="accordionExample">
                <div class="card">
                    <div class="card-header" id="headingOne">
                        <h2 class="mb-0">
                            <button class="btn btn-link btn-block text-left collapsed" type="button"
                                data-toggle="collapse" data-target="#collapseOne" aria-expanded="false"
                                aria-controls="collapseOne">
                                Services
                            </button>
                        </h2>
                    </div>

                    <div id="collapseOne" class="collapse" aria-labelledby="headingOne" data-parent="#accordionExample">
                        <div class="card-body">
                            <ul class="list-unstyled text-justify">
                                <li>Front End Design</li>
                                <li>Back End Design</li>
                                <li>Full Stack Development</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="card-header" id="headingTwo">
                        <h2 class="mb-0">
                            <button class="btn btn-link btn-block text-left collapsed" type="button"
                                data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false"
                                aria-controls="collapseTwo">
                                Projects
                            </button>
                        </h2>
                    </div>
                    <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                        <div class="card-body">
                            <ul class="list-unstyled text-justify">
                                <li>HTML</li>
                                <li>CSS</li>
                                <li>Bootstrap</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="card-header" id="headingThree">
                        <h2 class="mb-0">
                            <button class="btn btn-link btn-block text-left collapsed" type="button"
                                data-toggle="collapse" data-target="#collapseThree" aria-expanded="false"
                                aria-controls="collapseThree">
                                Tools
                            </button>
                        </h2>
                    </div>
                    <div id="collapseThree" class="collapse" aria-labelledby="headingThree"
                        data-parent="#accordionExample">
                        <div class="card-body">
                            <ul class="list-unstyled text-justify">
                                <li>Core Tools</li>
                                <li>Other Tools</li>
                            </ul>
                        </div>
                    </div>
                </div>

                <!-- Additional accordion -->
                <div class="card">
                    <div class="card-header" id="headingFour">
                        <h2 class="mb-0">
                            <button class="btn btn-link btn-block text-left collapsed" type="button"
                                data-toggle="collapse" data-target="#collapseFour" aria-expanded="false"
                                aria-controls="collapseFour">
                                Additional
                            </button>
                        </h2>
                    </div>
                    <div id="collapseFour" class="collapse" aria-labelledby="headingFour"
                        data-parent="#accordionExample">
                        <div class="card-body">
                            <ul class="list-unstyled text-justify">
                                <li>Core Tools</li>
                                <li>Other Tools</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Main Body -->
            <div class="col-md-10 col-12 p-0">
                <div class="container-fluid bg-dark min-vh-100 text-light">
                    <img src="./images/ada.jpg" alt="ada" class="col-md-3 col-5 mt-5 rounded-circle">

                    <h1>Ada Lovelace</h1>
                    <h4>Full-stack Developer</h4>

                    <div class="row">
                        <div class="col-8 offset-2">
                            Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus debitis, beatae quisquam
                            aperiam esse, in soluta, animi rerum quod vero nam eaque. Rem atque minus dignissimos sed
                            quaerat incidunt ipsum!
                        </div>
                    </div>

                    <!-- Carousel -->
                    <div class="row mt-3 pb-3 d-md-block d-none">
                        <div class="col-md-6 offset-3">
                            <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
                                <ol class="carousel-indicators">
                                    <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                                    <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                                    <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
                                </ol>
                                <div class="carousel-inner">
                                    <div class="carousel-item active">
                                        <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="puppy">
                                        <div class="carousel-caption d-none d-md-block">
                                            <h5>First slide label</h5>
                                            <p>Some representative placeholder content for the first slide.</p>
                                        </div>
                                    </div>
                                    <div class="carousel-item">
                                        <img src="https://placekitten.com/500/300" class="d-block w-100" alt="kitten">
                                        <div class="carousel-caption d-none d-md-block">
                                            <h5>Second slide label</h5>
                                            <p>Some representative placeholder content for the second slide.</p>
                                        </div>
                                    </div>
                                    <div class="carousel-item">
                                        <img src="https://placebear.com/500/300" class="d-block w-100" alt="bear">
                                        <div class="carousel-caption d-none d-md-block">
                                            <h5>Third slide label</h5>
                                            <p>Some representative placeholder content for the third slide.</p>
                                        </div>
                                    </div>
                                </div>
                                <button class="carousel-control-prev" type="button"
                                    data-target="#carouselExampleCaptions" data-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Previous</span>
                                </button>
                                <button class="carousel-control-next" type="button"
                                    data-target="#carouselExampleCaptions" data-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Next</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <!-- End of Carousel -->
                </div>

                <!-- Cards -->
                <div class="bg-secondary text-light min-vh-100 p-3">
                    <h2>Other Projects</h2>

                    <div class="d-flex flex-md-row flex-column justify-content-md-around align-items-center mt-2">
                        <!-- First Card -->
                        <div class="card bg-dark col-md-3 col-10 mt-md-0 mt-2" style="width: 18rem;">
                            <img src="./images/html.jpg" class="card-img-top p-2" alt="HTML Image">
                            <div class="card-body">
                                <h5 class="card-title">HTML</h5>
                                <p class="card-text">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Amet
                                    ipsum totam mollitia sint doloremque iure assumenda saepe officia facilis quam.
                                    Ullam numquam esse dolores nulla dolorum debitis delectus dolorem animi!</p>
                                <a href="#" class="btn btn-primary">Go somewhere</a>
                            </div>
                        </div>
                        <!-- End of First Card -->

                        <!-- Second Card -->
                        <div class="card bg-dark col-md-3 col-10 mt-md-0 mt-2" style="width: 18rem;">
                            <img src="./images/bootstrap-illustration.png" class="card-img-top p-2"
                                alt="Bootstrap Image">
                            <div class="card-body">
                                <h5 class="card-title">Bootstrap</h5>
                                <p class="card-text">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Amet
                                    ipsum totam mollitia sint doloremque iure assumenda saepe officia facilis quam.
                                    Ullam numquam esse dolores nulla dolorum debitis delectus dolorem animi!</p>
                                <a href="#" class="btn btn-primary">Go somewhere</a>
                            </div>
                        </div>
                        <!-- End of Second Card -->

                        <!-- Third Card -->
                        <div class="card bg-dark col-md-3 col-10 mt-md-0 mt-2" style="width: 18rem;">
                            <img src="./images/nodejs.png" class="card-img-top p-2" alt="NodeJS Image">
                            <div class="card-body">
                                <h5 class="card-title">Node JS</h5>
                                <p class="card-text">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Amet
                                    ipsum totam mollitia sint doloremque iure assumenda saepe officia facilis quam.
                                    Ullam numquam esse dolores nulla dolorum debitis delectus dolorem animi!</p>
                                <a href="#" class="btn btn-primary">Go somewhere</a>
                            </div>
                        </div>
                        <!-- End of Third Card -->
                    </div>
                </div>

                <!-- Contact Section -->
                <div class="bg-dark min-vh-100 text-light p-3 d-flex flex-column align-items-center">
                    <h2>Contact Me</h2>

                    <form class="d-flex flex-column bg-primary p-3 col-12 col-md-8 col-xl-4">
                        <!-- Name -->
                        <div class="form-group">
                            <label for="inputName">Name</label>
                            <input type="text" class="form-control" id="inputName" placeholder="Your Name">
                        </div>

                        <!-- Email -->
                        <div class="form-group">
                            <label for="inputEmail">Email address</label>
                            <input type="email" class="form-control" id="inputEmail" placeholder="name@example.com">
                        </div>

                        <!-- Contact number -->
                        <div class="form-group">
                            <label for="inputContactNumber">Contact Number</label>
                            <div class="d-flex align-items-center">
                                <label for="inputContactNumber" class="m-0 pr-2 font-weight-bold">(+63)</label>
                                <input type="number" class="form-control" id="inputContactNumber"
                                    placeholder="900000000">
                            </div>
                        </div>

                        <!-- Concern -->
                        <div class="input-group mb-3 d-flex flex-column align-items-center">
                            <div class="col-12 px-0">   
                                <label for="inputConcern">Concern</label>
                                <select class="custom-select text-secondary" id="inputConcern">
                                    <option disabled selected value>-- Please Select --</option>
                                    <option value="quotation">Quotation</option>
                                    <option value="appointment">Appointment</option>
                                    <option value="followUp">Follow-up</option>
                                </select>
                            </div>
                            
                        </div>

                        <!-- Message -->
                        <div class="form-group">
                            <label for="inputMessage">Message</label>
                            <textarea class="form-control" id="inputMessage" rows="3"></textarea>
                        </div>

                        <!-- Send Email Button -->
                        <button type="button" data-toggle="modal" data-target="#sendEmailModal"
                            class="btn btn-primary bg-dark col-4 offset-4">Send Email</button>

                        <!-- Modal -->
                        <div class="modal" tabindex="-1" id="sendEmailModal">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title text-dark">Thank you for contacting us!</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body text-dark">
                                        <p class="mb-0">Message Successfully Sent</p>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </form>
                </div>
                <!-- End of Contact Section -->
            </div>
            <!-- End of Cards -->

        </div>
        <!-- End of Main Body -->

    </div>
    <!-- End of Sidebar -->

    </div>
    <!-- End of Main Content -->

    <!-- Bootstrap 4.6 Script -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns"
        crossorigin="anonymous"></script>
</body>

</html>